
<?php
require_once __DIR__.'/maincore.php';
require_once THEMES.'templates/header.php';
add_to_title ('Kalkulator objętości Betonu na Schody'); 
add_to_head("<style> body{max-width:1301px;margin:0 auto;padding:20px;font-family:Arial, sans-serif;background-color:#f8f9fa;}h1, h2{color:#333;text-align:center;}.form-control{border:1px solid #ccc;border-radius:4px;}.btn-primary{background-color:#007bff;border-color:#007bff;}.btn-primary:hover{background-color:#0056b3;border-color:#0056b3;}.container{background-color:#ffffff;padding:20px;border-radius:5px;box-shadow:0 2px 10px rgba(0, 0, 0, 0.1);}.custom-form{max-width:60%;margin:0 auto;}</style>")?>
<?php
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        $width = $_POST['width']; // Szerokość schodów w cm
        $depth = $_POST['depth']; // Głębokość schodów w cm
        $height = $_POST['height']; // Wysokość schodów w cm
        $steps = $_POST['steps']; // Liczba schodków
        $platformThickness = $_POST['platformThickness']; // Grubość podestu w cm
        $platformWidth = $_POST['platformWidth']; // Szerokość podestu w cm
        $platformDepth = $_POST['platformDepth']; // Głębokość podestu w cm

        // Obliczanie objętości dla jednego schodka w cm³ (trójkąt)
        $singleStepVolume = ($width * $depth * $height) / 2; // Oblicz objętość w cm³

        // Całkowita objętość dla wszystkich schodków w cm³
        $totalStepsVolume = $singleStepVolume * $steps;

        // Obliczanie objętości podestu w cm³ (sześcian)
        $platformVolume = $platformWidth * $platformDepth * $platformThickness; // Oblicz objętość w cm³

        // Całkowita objętość betonu
        $totalVolume = $totalStepsVolume + $platformVolume;

        // Przelicz na m³ (1 m³ = 1,000,000 cm³)
        $totalVolumeM3 = $totalVolume / 1000000;

        // Wyświetlanie wyniku
        echo "<div class='result' style='text-align: center; margin-top: 20px; padding: 15px; border: 2px solid #007bff; border-radius: 5px; background-color: #e9f7ff;'>";
        echo "<h3 style='color: #007bff;'>Objętość betonu potrzebna na schody:</h3>";
        echo "<h2 style='color: #333; font-weight: bold;'>" . number_format($totalVolumeM3, 2) . " m³</h2>";
        echo "</div>";
    }
    ?> <div class="opentable"><div class="title"><strong style='font-size: 24px;'>Kalkulator ilości Betonu na Schody</strong></div>
<form method="post" action="#" class="custom-form">
    <div class="openside "> <div class="form-group"> <label for="width">Szerokość schodów (cm):</label> <input type="number" class="form-control" id="width" name="width" required> </div> <div class="form-group"> <label for="depth">Głębokość schodów (cm):</label> <input type="number" class="form-control" id="depth" name="depth" required> </div> <div class="form-group"> <label for="height">Wysokość schodów (cm):</label> <input type="number" class="form-control" id="height" name="height" required> </div> <div class="form-group"> <label for="steps">Liczba schodków:</label> <input type="number" class="form-control" id="steps" name="steps" required> </div> <div class="form-group"> <label for="platformThickness">Grubość podestu (cm):</label> <input type="number" class="form-control" id="platformThickness" name="platformThickness" required> </div> <div class="form-group"> <label for="platformWidth">Szerokość podestu (cm):</label> <input type="number" class="form-control" id="platformWidth" name="platformWidth" required> </div> <div class="form-group"> <label for="platformDepth">Długość podestu (cm):</label> <input type="number" class="form-control" id="platformDepth" name="platformDepth" required> </div> <button type="submit" class="btn btn-primary">Oblicz objętość</button> </div>
</form> </div> <?php
require_once THEMES.'templates/footer.php';
?>